Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
pages
Admin Create Page
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/pages/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "slug": "<string>",
      "title": "<string>",
      "is_homepage": false,
      "meta": {},
      "position": 0,
      "privacy": "members",
      "settings": {},
      "type": "generic"
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "draft_version": 123,
      "hub_id": "<string>",
      "is_homepage": true,
      "meta": {},
      "position": 123,
      "privacy": "<string>",
      "settings": {},
      "slug": "<string>",
      "title": "<string>",
      "type": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "pages"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required

Body

application/vnd.api+json
data
PageCreateResource · object
required

Response

Successful Response

Single-resource JSON:API response for admin page reads.

data
AdminPageResource · object
required

JSON:API resource object for admin page reads (includes draft_version).